package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.system.domain.DataRecord;
import com.ruoyi.system.domain.SysRoleDept;
import org.apache.ibatis.annotations.Mapper;

/**
 * 外链扫描情况记录Mapper接口
 * 
 * @author ruoyi
 * @date 2024-09-29
 */

public interface DataRecordMapper
{
    /**
     * 查询外链扫描情况记录
     * 
     * @param id 外链扫描情况记录主键
     * @return 外链扫描情况记录
     */
    public DataRecord selectDataRecordById(Long id);

    /**
     * 查询外链扫描情况记录列表
     * 
     * @param dataRecord 外链扫描情况记录
     * @return 外链扫描情况记录集合
     */
    public List<DataRecord> selectDataRecordList(DataRecord dataRecord);

    /**
     * 新增外链扫描情况记录
     * 
     * @param dataRecord 外链扫描情况记录
     * @return 结果
     */
    public int insertDataRecord(DataRecord dataRecord);

    public int batchDataRecord(List<DataRecord> dataRecordList);

    /**
     * 修改外链扫描情况记录
     * 
     * @param dataRecord 外链扫描情况记录
     * @return 结果
     */
    public int updateDataRecord(DataRecord dataRecord);

    /**
     * 删除外链扫描情况记录
     * 
     * @param id 外链扫描情况记录主键
     * @return 结果
     */
    public int deleteDataRecordById(Long id);

    /**
     * 批量删除外链扫描情况记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataRecordByIds(String[] ids);

    public int deleteDataRecordByMsgIds(String[] ids);

    List<DataRecord> selectDataRecordAllList(DataRecord dataRecord);

    List<DataRecord> selectWlDataRecordAllList(DataRecord dataRecord);
}
